Name:		galculator
Summary:	GTK based calculator
Version:	2.1.4
Release:	%mkrel 8
URL:		http://galculator.mnim.org/
Group:		Sciences/Mathematics
License:	GPLv2+
Source0:	http://galculator.mnim.org/downloads/%{name}-%{version}.tar.bz2
Patch0:		galculator-gcc-10-no-common.patch
BuildRequires:	intltool
%ifnarch %arm aarch64
BuildRequires:	quadmath-devel
%endif
BuildRequires:	pkgconfig(gtk+-3.0)

%description
Galculator is a calculator that features two user modes: basic and
scientific mode. Basic mode is intended for simple computations.
Only the most important operations and functions are available in
algebraic mode as well as in Reverse Polish Mode.

%files -f %{name}.lang
%doc AUTHORS NEWS README THANKS ChangeLog doc/shortcuts
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/appdata/%{name}.appdata.xml

%prep
%setup -q
%autopatch -p1

%build
#update 'missing' script
autoreconf -vfi

%configure \
	--disable-static \
	--enable-gtk3
%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='Calculator;GTK;GNOME' \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}


%changelog
* Fri Jun 19 2020 julien <julien> 2.1.4-8.mga8
+ Revision: 1597410
- fix compilation with gcc10

* Fri Feb 14 2020 umeabot <umeabot> 2.1.4-7.mga8
+ Revision: 1519925
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Oct 23 2018 wally <wally> 2.1.4-6.mga7
+ Revision: 1324585
- drop mate-calc obsoletes

* Sun Sep 23 2018 umeabot <umeabot> 2.1.4-5.mga7
+ Revision: 1297814
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 pterjan <pterjan> 2.1.4-4.mga7
+ Revision: 1235057
- Fix on aarch64

* Sat Mar 05 2016 tarakbumba <tarakbumba> 2.1.4-3.mga6
+ Revision: 985807
- Obsoletes mate-calc now

* Thu Dec 24 2015 pterjan <pterjan> 2.1.4-2.mga6
+ Revision: 914021
- Do not BuildRequire quadmath-devel on arm

* Sun Sep 06 2015 julien <julien> 2.1.4-1.mga6
+ Revision: 873271
- new version 2.1.4
- update website & download URL

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 745838
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 679397
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 wally <wally> 2.1.3-1.mga5
+ Revision: 606259
- new version 2.1.3

* Sat Oct 19 2013 umeabot <umeabot> 2.1.2-2.mga4
+ Revision: 525526
- Mageia 4 Mass Rebuild

* Thu May 30 2013 wally <wally> 2.1.2-1.mga4
+ Revision: 433440
- new version 2.1.2
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 351024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 fwang <fwang> 2.0.1-1.mga3
+ Revision: 331887
- new version 2.0.1

* Sat Oct 20 2012 fwang <fwang> 2.0-2.mga3
+ Revision: 308372
- update summary

* Fri Oct 19 2012 julien <julien> 2.0-1.mga3
+ Revision: 308338
- change group to Science/Mathematics
- new version 2.0

* Thu Feb 23 2012 julien <julien> 1.3.4-2.mga2
+ Revision: 213095
- add linker flag to make it compile

* Sun Jun 12 2011 julien <julien> 1.3.4-1.mga2
+ Revision: 104998
- cleanup spec
- imported package galculator

